Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.identification
Class CharacterSet

    Object
      CodeList<CharacterSet>
          CharacterSet

All Implemented Interfaces:
  Serializable, Comparable<CharacterSet>

    @UML(identifier="MD_CharacterSetCode",
         specification=ISO_19115)
    public final class CharacterSet

extends CodeList<CharacterSet>

Name of the character coding standard used for the resource.

Since:
  GeoAPI 2.1
See Also:
  Serialized Form

Field Summary
`static CharacterSet` | `BIG_5` Traditional Chinese code set used in Taiwan, Hong Kong, and other areas.
`static CharacterSet` | `EBCDIC` IBM mainframe code set.
`static CharacterSet` | `EUC_JP` Japanese code set used on UNIX based machines.
`static CharacterSet` | `EUC_KR` Korean code set.
`static CharacterSet` | `GB2312` Simplified Chinese code set.
`static CharacterSet` | `ISO_8859_1` ISO/IEC 8859-1, Information technology. 8-bit single-byte coded graphic character sets - Part 1: Latin alphabet No. 1.
`static CharacterSet` | `ISO_8859_10` ISO/IEC 8859-10, Information technology. 8-bit single-byte coded graphic character sets - Part 10: Latin alphabet No. 6.
`static CharacterSet` | `ISO_8859_11` ISO/IEC 8859-11, Information technology. 8-bit single-byte coded graphic character sets - Part 11: Latin/Thai alphabet.
`static CharacterSet` | `ISO_8859_12` A future ISO/IEC 8-bit single-byte coded graphic character set.
`static CharacterSet` | `ISO_8859_13` ISO/IEC 8859-13, Information technology. 8-bit single-byte coded graphic character sets - Part 13: Latin alphabet No. 7.
`static CharacterSet` | `ISO_8859_14` ISO/IEC 8859-14, Information technology. 8-bit single-byte coded graphic character sets - Part 14: Latin alphabet No. 8 (Celtic).
`static CharacterSet` | `ISO_8859_15` ISO/IEC 8859-15, Information technology. 8-bit single-byte coded graphic character sets - Part 15: Latin alphabet No. 9.
`static CharacterSet` | `ISO_8859_16` ISO/IEC 8859-16, Information technology. 8-bit single-byte coded graphic character sets - Part 16: Latin alphabet No. 10.
`static CharacterSet` | `ISO_8859_2` ISO/IEC 8859-2, Information technology. 8-bit single-byte coded graphic character sets - Part 2: Latin alphabet No. 2.
`static CharacterSet` | `ISO_8859_3` ISO/IEC 8859-3, Information technology. 8-bit single-byte coded graphic character sets - Part 3: Latin alphabet No. 3.
`static CharacterSet` | `ISO_8859_4` ISO/IEC 8859-4, Information technology. 8-bit single-byte coded graphic character sets - Part 4: Latin alphabet No. 4.
`static CharacterSet` | `ISO_8859_5` ISO/IEC 8859-5, Information technology. 8-bit single-byte coded graphic character sets - Part 5: Latin/Cyrillic alphabet.
`static CharacterSet` | `ISO_8859_6` ISO/IEC 8859-6, Information technology. 8-bit single-byte coded graphic character sets - Part 6: Latin/Arabic alphabet.
`static CharacterSet` | `ISO_8859_7` ISO/IEC 8859-7, Information technology. 8-bit single-byte coded graphic character sets - Part 7: Latin/Greek alphabet.
`static CharacterSet` | `ISO_8859_8` ISO/IEC 8859-8, Information technology. 8-bit single-byte coded graphic character sets - Part 8: Latin/Hebrew alphabet.
`static CharacterSet` | `ISO_8859_9` ISO/IEC 8859-9, Information technology. 8-bit single-byte coded graphic character sets - Part 9: Latin alphabet No. 5.
`static CharacterSet` | `JIS` Japanese code set used for electronic transmission.
`static CharacterSet` | `SHIFT_JIS` Japanese code set used on MS-DOS based machines.
`static CharacterSet` | `UCS_2` 16-bit fixed size Universal Character Set, based on ISO/IEC 10646.
`static CharacterSet` | `UCS_4` 32-bit fixed size Universal Character Set, based on ISO/IEC 10646.
`static CharacterSet` | `US_ASCII` United States ASCII code set (ISO 646 US).
`static CharacterSet` | `UTF_16` 16-bit variable size UCS Transfer Format, based on ISO/IEC 10646.
`static CharacterSet` | `UTF_7` 7-bit variable size UCS Transfer Format, based on ISO/IEC 10646.
`static CharacterSet` | `UTF_8` 8-bit variable size UCS Transfer Format, based on ISO/IEC 10646.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`Charset` | `toCharset()` Converts the Character Set to a java Charset, if it can.
`static CharacterSet` | `valueOf(String code)` Returns the CharacterSet that matches the given string, or returns a new one if none match it.
`static CharacterSet[]` | `values()` Returns the list of `CharacterSet`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UCS_2

    @UML(identifier="ucs2",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet UCS_2

  16-bit fixed size Universal Character Set, based on ISO/IEC 10646.

### UCS_4

    @UML(identifier="ucs4",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet UCS_4

  32-bit fixed size Universal Character Set, based on ISO/IEC 10646.

### UTF_7

    @UML(identifier="utf7",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet UTF_7

  7-bit variable size UCS Transfer Format, based on ISO/IEC 10646.

### UTF_8

    @UML(identifier="utf8",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet UTF_8

  8-bit variable size UCS Transfer Format, based on ISO/IEC 10646.

### UTF_16

    @UML(identifier="utf16",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet UTF_16

  16-bit variable size UCS Transfer Format, based on ISO/IEC 10646.

### ISO_8859_1

    @UML(identifier="8859part1",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_1

  ISO/IEC 8859-1, Information technology. 8-bit single-byte coded graphic character sets - Part 1: Latin alphabet No. 1.

### ISO_8859_2

    @UML(identifier="8859part2",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_2

  ISO/IEC 8859-2, Information technology. 8-bit single-byte coded graphic character sets - Part 2: Latin alphabet No. 2.

### ISO_8859_3

    @UML(identifier="8859part3",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_3

  ISO/IEC 8859-3, Information technology. 8-bit single-byte coded graphic character sets - Part 3: Latin alphabet No. 3.

### ISO_8859_4

    @UML(identifier="8859part4",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_4

  ISO/IEC 8859-4, Information technology. 8-bit single-byte coded graphic character sets - Part 4: Latin alphabet No. 4.

### ISO_8859_5

    @UML(identifier="8859part5",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_5

  ISO/IEC 8859-5, Information technology. 8-bit single-byte coded graphic character sets - Part 5: Latin/Cyrillic alphabet.

### ISO_8859_6

    @UML(identifier="8859part6",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_6

  ISO/IEC 8859-6, Information technology. 8-bit single-byte coded graphic character sets - Part 6: Latin/Arabic alphabet.

### ISO_8859_7

    @UML(identifier="8859part7",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_7

  ISO/IEC 8859-7, Information technology. 8-bit single-byte coded graphic character sets - Part 7: Latin/Greek alphabet.

### ISO_8859_8

    @UML(identifier="8859part8",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_8

  ISO/IEC 8859-8, Information technology. 8-bit single-byte coded graphic character sets - Part 8: Latin/Hebrew alphabet.

### ISO_8859_9

    @UML(identifier="8859part9",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_9

  ISO/IEC 8859-9, Information technology. 8-bit single-byte coded graphic character sets - Part 9: Latin alphabet No. 5.

### ISO_8859_10

    @UML(identifier="8859part10",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_10

  ISO/IEC 8859-10, Information technology. 8-bit single-byte coded graphic character sets - Part 10: Latin alphabet No. 6.

### ISO_8859_11

    @UML(identifier="8859part11",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_11

  ISO/IEC 8859-11, Information technology. 8-bit single-byte coded graphic character sets - Part 11: Latin/Thai alphabet.

### ISO_8859_12

    @UML(identifier="8859part12",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_12

  A future ISO/IEC 8-bit single-byte coded graphic character set.

### ISO_8859_13

    @UML(identifier="8859part13",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_13

  ISO/IEC 8859-13, Information technology. 8-bit single-byte coded graphic character sets - Part 13: Latin alphabet No. 7.

### ISO_8859_14

    @UML(identifier="8859part14",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_14

  ISO/IEC 8859-14, Information technology. 8-bit single-byte coded graphic character sets - Part 14: Latin alphabet No. 8 (Celtic).

### ISO_8859_15

    @UML(identifier="8859part15",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_15

  ISO/IEC 8859-15, Information technology. 8-bit single-byte coded graphic character sets - Part 15: Latin alphabet No. 9.

### ISO_8859_16

    @UML(identifier="8859part16",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet ISO_8859_16

  ISO/IEC 8859-16, Information technology. 8-bit single-byte coded graphic character sets - Part 16: Latin alphabet No. 10.

### JIS

    @UML(identifier="jis",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet JIS

  Japanese code set used for electronic transmission.

### SHIFT_JIS

    @UML(identifier="shiftJIS",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet SHIFT_JIS

  Japanese code set used on MS-DOS based machines.

### EUC_JP

    @UML(identifier="eucJP",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet EUC_JP

  Japanese code set used on UNIX based machines.

### US_ASCII

    @UML(identifier="usAscii",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet US_ASCII

  United States ASCII code set (ISO 646 US).

### EBCDIC

    @UML(identifier="ebcdic",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet EBCDIC

  IBM mainframe code set.

### EUC_KR

    @UML(identifier="eucKR",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet EUC_KR

  Korean code set.

### BIG_5

    @UML(identifier="big5",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet BIG_5

  Traditional Chinese code set used in Taiwan, Hong Kong, and other areas.

### GB2312

    @UML(identifier="GB2312",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final CharacterSet GB2312

  Simplified Chinese code set.

Method Detail

### toCharset

    public Charset toCharset()
                      throws UnsupportedCharsetException

  Converts the Character Set to a java Charset, if it can.

  Returns:
    The Java Charset.
  Throws:
    `UnsupportedCharsetException` - If no support for the charset is available.
  See Also:
    Supported encodings

### values

    public static CharacterSet[] values()

  Returns the list of `CharacterSet`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<CharacterSet>`

### valueOf

    public static CharacterSet valueOf(String code)

  Returns the CharacterSet that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.